package com.benyun.core.entity.bo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.benyun.core.entity.WdTopologicalInfo;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.List;

@Data
@TableName("bl_wd_topological_info")
public class WdTopologicalInfoBo {
    private String centerWdId;
    private String centerWdName;
    private String centerWdTypeCode;

    private String typeCodeBy;

    private int radius;
    private String addrCode;
    private String addrCodeInfo;
    private String addrInfo;
    private BigDecimal lat;
    private BigDecimal lng;
    private String geoHash;
    private List<String> tag;

    private int attention;

    @TableField("analyse_time")
    private LocalDateTime analyseTime;

    public WdTopologicalInfoBo(WdTopologicalInfo wdTopologicalInfo) {
        this.centerWdId = wdTopologicalInfo.getCenterWdId();
        this.centerWdName = wdTopologicalInfo.getCenterWdName();
        this.centerWdTypeCode = wdTopologicalInfo.getCenterWdTypeCode();
        this.typeCodeBy = wdTopologicalInfo.getTypeCodeBy();
        this.radius = wdTopologicalInfo.getRadius();
        this.addrCode = wdTopologicalInfo.getAddrCode();
        this.addrCodeInfo = wdTopologicalInfo.getAddrCodeInfo();
        this.addrInfo = wdTopologicalInfo.getAddrInfo();
        this.lat = wdTopologicalInfo.getLat();
        this.lng = wdTopologicalInfo.getLng();
        this.geoHash = wdTopologicalInfo.getGeoHash();
        this.analyseTime = wdTopologicalInfo.getAnalyseTime();
    }

    public WdTopologicalInfoBo() {
    }
}
