package com.benyun.core.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.benyun.core.dao.TopologicalHouseWdDao;
import com.benyun.core.dao.TopologicalHouseWdStatisticsDataDao;
import com.benyun.core.entity.TopologicalHouseWd;
import com.benyun.core.entity.TopologicalHouseWdStatisticsData;
import com.benyun.core.entity.TopologicalStoreWd;
import com.benyun.core.entity.vo.TopologicalWdAceeptVo;
import com.benyun.core.service.TopologicalHouseWdService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TopologicalHouseServiceWdImpl implements TopologicalHouseWdService {
    @Autowired
    TopologicalHouseWdDao topologicalHouseWdDao;

    @Autowired
    TopologicalHouseWdStatisticsDataDao topologicalHouseWdStatisticsDataDao;

    @Override
    public PageInfo<TopologicalHouseWd> list(TopologicalWdAceeptVo topologicalWdAceeptVo) {
        PageHelper.startPage(topologicalWdAceeptVo.getPageNum(), topologicalWdAceeptVo.getPageSize());
        List<TopologicalHouseWd> topologicalStoreWds = topologicalHouseWdDao.list(topologicalWdAceeptVo.getCenterWdId(), Integer.valueOf(topologicalWdAceeptVo.getRadius()));
        PageInfo<TopologicalHouseWd> pageInfo = new PageInfo<>(topologicalStoreWds);
        return pageInfo;
    }

    @Override
    public TopologicalHouseWdStatisticsData info(TopologicalWdAceeptVo topologicalWdAceeptVo) {
        QueryWrapper<TopologicalHouseWdStatisticsData> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("center_wd_id",topologicalWdAceeptVo.getCenterWdId()).and(topologicalHouseWdStatisticsDataQueryWrapper -> {
            topologicalHouseWdStatisticsDataQueryWrapper.eq("radius",Integer.valueOf(topologicalWdAceeptVo.getRadius()));
        });
        TopologicalHouseWdStatisticsData topologicalHouseWdStatisticsData = topologicalHouseWdStatisticsDataDao.selectOne(queryWrapper);
        return topologicalHouseWdStatisticsData;
    }
}
